Bug 206735 - expire a number of Rails 4.1 ports
Summary: expire a number of Rails 4.1 ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-29 10:55 UTC by Torsten Zühlsdorff
Modified: 2016-04-27 11:33 UTC (History)
2 users (show)

See Also:


Attachments
patch to expire Rails 4.1 ports (8.71 KB, patch)
2016-01-29 10:55 UTC, Torsten Zühlsdorff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Zühlsdorff 2016-01-29 10:55:04 UTC
Created attachment 166269 [details]
patch to expire Rails 4.1 ports

Hello,

attached a patch to expire a number of Rails 4.1 ports. These ports where all introduced by my in order to support the work at the GitLab port.
But GitLab recently switched to Rails 4.2 and no other port has a dependency to them.
Therefore i expired the ports - the could be removed without any harm.

Greetings,
Torsten
Comment 1 commit-hook freebsd_committer 2016-01-29 21:02:16 UTC
A commit references this bug:

Author: pi
Date: Fri Jan 29 21:01:20 UTC 2016
New revision: 407495
URL: https://svnweb.freebsd.org/changeset/ports/407495

Log:
  databases/rubygem-activemodel41
  databases/rubygem-activerecord41
  databases/rubygem-after_commit_queue-rails41
  databases/rubygem-paranoia-rails41
  devel/rubygem-actionview41
  devel/rubygem-activesupport41
  devel/rubygem-coffee-rails41
  devel/rubygem-jbuilder-rails41
  devel/rubygem-omniauth_crowd-rails41
  devel/rubygem-sprockets-rails-rails41
  mail/rubygem-actionmailer41
  textproc/rubygem-sass-rails4-rails41
  www/rubygem-actionpack41
  www/rubygem-railties41
  www/rubygem-turbolinks-rails41

  - DEPRECATE those ports in favor of Rails 4.2

  PR:		206735
  Submitted by:	Torsten Zuehlsdorff <ports@toco-domains.de>

Changes:
  head/databases/rubygem-activemodel41/Makefile
  head/databases/rubygem-activerecord41/Makefile
  head/databases/rubygem-after_commit_queue-rails41/Makefile
  head/databases/rubygem-paranoia-rails41/Makefile
  head/devel/rubygem-actionview41/Makefile
  head/devel/rubygem-activesupport41/Makefile
  head/devel/rubygem-coffee-rails41/Makefile
  head/devel/rubygem-jbuilder-rails41/Makefile
  head/devel/rubygem-omniauth_crowd-rails41/Makefile
  head/devel/rubygem-sprockets-rails-rails41/Makefile
  head/mail/rubygem-actionmailer41/Makefile
  head/textproc/rubygem-sass-rails4-rails41/Makefile
  head/www/rubygem-actionpack41/Makefile
  head/www/rubygem-railties41/Makefile
  head/www/rubygem-turbolinks-rails41/Makefile
Comment 2 Kurt Jaeger freebsd_committer 2016-01-29 21:02:50 UTC
Pending removal on 1st of April.
Comment 3 Torsten Zühlsdorff 2016-02-02 15:52:35 UTC
(In reply to Kurt Jaeger from comment #2)

After committing the patch: is the PR still needed as reminder or will the ports be removed automatically?
Comment 4 Kurt Jaeger freebsd_committer 2016-02-02 17:19:43 UTC
I'll need it to remember to remove the ports.
Comment 5 Torsten Zühlsdorff 2016-04-01 12:01:13 UTC
Today is the day ;)
Comment 6 Bartek Rutkowski freebsd_committer 2016-04-27 11:33:18 UTC
Seems like this is already completed and there's no action on it for a while, so I'm closing this PR.